weka.knowledgeflow.steps

## Class Block

- java.lang.Object
- - weka.knowledgeflow.steps.BaseStep
  - - weka.knowledgeflow.steps.Block

- All Implemented Interfaces:
    java.io.Serializable, BaseStepExtender, Step

      @KFStep(name="Block",
              category="Flow",
              toolTipText="Block until a specific step has finished procesing",
              iconPath="weka/gui/knowledgeflow/icons/DiamondPlain.gif")
      public class Block
      extends BaseStep

  A step that waits for a specified step to finish processing before allowing incoming data to proceed downstream.
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Block()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCustomEditorForStep()` Get the fully qualified class name of the custom editor for this step
    `java.util.List<java.lang.String>` | `getIncomingConnectionTypes()` Get a list of incoming connection types that this step can accept at this time
    `java.util.List<java.lang.String>` | `getOutgoingConnectionTypes()` Get a list of outgoing connection types that this step can produce at this time
    `java.lang.String` | `getStepToWaitFor()` Get the step to wait for
    `void` | `processIncoming(Data data)` Process incoming data
    `void` | `setStepToWaitFor(java.lang.String stepToWaitFor)` Set the step to wait for
    `void` | `stepInit()` Initialize the step

    - ### Methods inherited from class weka.knowledgeflow.steps.BaseStep

      `environmentSubstitute, getDefaultSettings, getInteractiveViewers, getInteractiveViewersImpls, getName, getStepManager, globalInfo, isResourceIntensive, isStopRequested, outputStructureForConnectionType, setName, setStepIsResourceIntensive, setStepManager, setStepMustRunSingleThreaded, start, stepMustRunSingleThreaded, stop`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Block

          public Block()

  - ### Method Detail

    - #### setStepToWaitFor

          @OptionMetadata(displayName="Wait until this step has completed",
                          description="This step will prevent data from passing downstream until the specified step has finished processing")
          public void setStepToWaitFor(java.lang.String stepToWaitFor)

      Set the step to wait for
      Parameters:
        `stepToWaitFor` - the step to wait for

    - #### getStepToWaitFor

          public java.lang.String getStepToWaitFor()

      Get the step to wait for
      Returns:
        the step to wait for

    - #### stepInit

          public void stepInit()
                        throws WekaException

      Initialize the step
      Throws:
        `WekaException` - if a problem occurs

    - #### processIncoming

          public void processIncoming(Data data)
                               throws WekaException

      Process incoming data
      Specified by:
        `processIncoming` in interface `BaseStepExtender`
      Specified by:
        `processIncoming` in interface `Step`
      Overrides:
        `processIncoming` in class `BaseStep`
      Parameters:
        `data` - the data to process
      Throws:
        `WekaException` - if a problem occurs

    - #### getIncomingConnectionTypes

          public java.util.List<java.lang.String> getIncomingConnectionTypes()

      Get a list of incoming connection types that this step can accept at this time
      Returns:
        a list of incoming connection types

    - #### getOutgoingConnectionTypes

          public java.util.List<java.lang.String> getOutgoingConnectionTypes()

      Get a list of outgoing connection types that this step can produce at this time
      Returns:
        a list of outgoing connection types

    - #### getCustomEditorForStep

          public java.lang.String getCustomEditorForStep()

      Get the fully qualified class name of the custom editor for this step
      Specified by:
        `getCustomEditorForStep` in interface `Step`
      Overrides:
        `getCustomEditorForStep` in class `BaseStep`
      Returns:
        the class name of the custom editor